#source("~/git/LSHTM_analysis/config/gid.R")
source("~/git/LSHTM_analysis/config/pnca.R")
#source("~/git/LSHTM_analysis/config/embb.R")
#source("~/git/LSHTM_analysis/config/katg.R")
#source("~/git/LSHTM_analysis/config/alr.R")
#source("~/git/LSHTM_analysis/config/rpob.R")
#---------------------------------------------------
source("~/git/LSHTM_analysis/scripts/plotting/get_plotting_dfs.R")
 
################################
# Logo plot with custom Y axis
# mainly OR
# script: logoP.R
################################
# LogoPlotCustomH (plot_df = merged_df3
#                             , x_axis_colname = "position"
#                             , y_axis_colname = "or_mychisq"
#                             , symbol_colname = "mutant_type"
#                             , y_axis_log  = T
#                             , log_value = log10
#                             , y_axis_increment = 100
#                             , rm_empty_y = T
#                             , my_logo_col = 'chemistry'
#                             , x_lab = "Wild-type position"
#                             , y_lab = "Odds Ratio"
#                             , x_ats = 10 # text size
#                             , x_tangle = 90 # text angle
#                             , y_ats = 22
#                             , y_tangle = 0
#                             , x_tts = 19 # title size
#                             , y_tts = 22
#                             #, leg_pos = c(0.05,-0.12)
#                             , leg_pos = "top"
#                             , leg_dir = "horizontal"
#                             , leg_ts = 15 # leg text size
#                             , leg_tts = 16 # leg title size
# )


########################################
# Logo plot showing nsSNPs by positions
# wild-type and mutant aa
# script: logoP_snp.R
########################################
# LogoPlotSnps(plot_df = merged_df3
#              , x_axis_colname = "position"
#              , symbol_mut_colname = "mutant_type"
#              , symbol_wt_colname = "wild_type"
#              , omit_snp_count = c(1)# can be 0,1, 2, etc.
#              , my_logo_col = "chemistry"
#              , x_lab = "Wild-type position"
#              , y_lab = "nsSNP count"
#              , x_ats = 10 # text size
#              , x_tangle = 90 # text angle
#              , y_ats = 18
#              , y_tangle = 0
#              , x_tts = 18 # title size
#              , y_tts = 18
#              , leg_pos = "top" # can be top, left, right and bottom or c(0.8, 0.9)
#              , leg_dir = "horizontal" # can be vertical or horizontal
#              , leg_ts = 14 # leg text size
#              , leg_tts = 16 # leg title size
# )

########################################
# Logo plot MSA
# Mutant and wild-type
# wild-type and mutant aa
# Can select active site residues
  # specify {plot_positions}
  # To plot entire MSA, simply don't specify {plot_positions}
# script: logoP_msa.R
########################################
# LogoPlotMSA(msaSeq_mut = msa_seq
#             , msaSeq_wt = wt_seq
#             # , use_pfm
#             # , use_pfm_scaled
#             # , use_ed 
#             , msa_method = 'bits' # or probability
#             , my_logo_col = "taylor"
#             , plot_positions = 1:15
#             , x_lab = "nsSNP position"
#             , y_lab = ""
#             , x_ats = 10 # text size
#             , x_tangle = 90 # text angle
#             , x_axis_offset = 0.05
#             , y_ats = 15
#             , y_tangle = 0
#             , x_tts = 13 # title size
#             , y_tts = 15
#             , leg_pos = "top" # can be top, left, right and bottom or c(0.8, 0.9)
#             , leg_dir = "horizontal" #can be vertical or horizontal
#             , leg_ts = 16 # leg text size
#             , leg_tts = 16 # leg title size
# )

########################################
# ED Logo plot MSA
# Mutant and wild-type
########################################
# library(Logolas)
# library(ggseqlogo)
# source("~/git/LSHTM_analysis/scripts/functions/my_logolas.R")
# source("~/git/LSHTM_analysis/scripts/functions/logoP_logolas.R")
# 
# # data msa: mut
# my_data = read.csv("/home/tanu/git/Misc/practice_plots/pnca_msa_eg2.csv", header = F) #15 cols only
# msaSeq_mut = my_data$V1
# msa_seq = msaSeq_mut
# 
# # data msa: wt
# gene = "pncA"
# drug = "pyrazinamide"
# indir = paste0("~/git/Data/", drug , "/input/")
# 
# in_filename_fasta = paste0(tolower(gene), "2_f2.fasta")
# infile_fasta = paste0(indir, in_filename_fasta)
# cat("\nInput fasta file for WT: ", infile_fasta, "\n")  
# 
# msa2 = read.csv(infile_fasta, header = F)
# head(msa2)
# cat("\nLength of WT fasta:", nrow(msa2))
# wt_seq = msa2$V1
# head(wt_seq)  
# msaSeq_wt = msa2$V1
# wt_seq = msaSeq_wt

#PlotLogolasMSA()
PlotLogolasMSA(msaSeq_mut = msa_seq
               , msaSeq_wt = wt_seq
               , logo_type = c("bits_pfm") # "EDLogo", bits_pfm", "probability_pfm", "bits_raw", "probability_raw") # can be "bits", "probability" or "custom"
               , EDScore_type =  c("log") # see if this relevant, or source function should have it!
               , bg_prob = NULL
               , my_logo_col = "taylor" 
               , plot_positions = c(1:15)
               #, y_breaks
               , x_lab_mut = "nsSNP-position"
               #, y_lab_mut
               , x_ats = 13 # text size
               , x_tangle = 90 # text angle
               , x_axis_offset = 0.05
               , x_axis_offset_filtered = 0.05
               , y_axis_offset = 0.05
               , y_ats = 13
               , y_tangle = 0
               , x_tts = 13
               , y_tts = 13
               , leg_pos = "top" # can be top, left, right and bottom or c(0.8, 0.9)
               , leg_dir = "horizontal" #can be vertical or horizontal
               , leg_ts = 16 # leg text size
               , leg_tts = 16 # leg title size
)
